1.4.3 Email receiving (IMAP) fails on Swedish date format
2012-05-19 16:29 - Rolf Lampa

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 1.4.2

Description
Hi all,

| tried reading (imap) mails on a gmail account (from a Swedish Windows 7 machine as well as from a reagular Gamil account, but |
keep getting errors on the date format (which | am not explicitly specifying in my mail).

The command reporting the below was:

{server}:/my prompt$ rake -f /path/to/apps/redmine/Rakefile redmine:email:receive_imap \
RAILS_ENV="production" \

host=imap.googlemail.com port=993 ssl=1 username=first.last@gmail.com password=whatever \
project=projectname tracker=Deviation status=New \
allow_override=project, tracker, status, priority \

folder=INBOX move_on_success=issues_received move_on_failure=issues_ignored

Invalid gemspec in [/usr/share/ruby-rvm/gems/ruby-1.9.2-pl80/specifications/mime-types-1.18.gemspe
c]: invalid date format in specification: "2012-03-21 00:00:00.000000000Z"

Invalid gemspec in [/usr/share/ruby-rvm/gems/ruby-1.9.2-pl180/specifications/tilt-1.3.3.gemspec]: i
nvalid date format in specification: "2011-08-25 00:00:00.000000000z"

Invalid gemspec in [/usr/share/ruby-rvm/gems/ruby-1.9.2-pl80/specifications/mail-2.4.4.gemspec]: i
nvalid date format in specification: "2012-03-14 00:00:00.000000000z"

Invalid gemspec in [/usr/share/ruby-rvm/gems/ruby-1.9.2-pl80/specifications/mime-types-1.18.gemspe
c]: invalid date format in specification: "2012-03-21 00:00:00.000000000Z"

Invalid gemspec in [/usr/share/ruby-rvm/gems/ruby-1.9.2-pl80/specifications/tilt-1.3.3.gemspec]: 1
nvalid date format in specification: "2011-08-25 00:00:00.000000000z"

Invalid gemspec in [/usr/share/ruby-rvm/gems/ruby-1.9.2-pl180/specifications/mail-2.4.4.gemspec]: i
nvalid date format in specification: "2012-03-14 00:00:00.000000000z"

Is there anything more | try to narrow in on what I'm experiencing?

// Rolf Lampa

History

#1 - 2012-05-21 18:41 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

This is a rubygems issue and it was fixed (commit). You should upgrade rubygems.
https://github.com/rubygems/rubygems/commit/21cccd55b823848c5e941093a615b0fdd6cd8bc7
